%define fname   sshfs

Name:           %{fname}-fuse
Epoch:          0
Version:        3.7.3
Release:        %mkrel 1
Summary:        Filesystem running over SFTP
License:        GPLv2
Group:          Networking/Remote access
URL:            https://github.com/libfuse/sshfs
Source0:        https://github.com/libfuse/sshfs/releases/download/%{fname}-%{version}/%{fname}-%{version}.tar.xz
Requires:       fuse3
BuildRequires:  locales-en
BuildRequires:  meson
BuildRequires:  pkgconfig(fuse3)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  rst2man

Provides:       %{fname} = %{version}-%{release}

%description
This is a filesystem client based on the SSH File Transfer Protocol.
Since most SSH servers already support this protocol it is very easy to set up:
i.e. on the server side there's nothing to do.  On the client side mounting the
filesystem is as easy as logging into the server with ssh.

    * Based on FUSE
    * Multithreading: more than one request can be on it's way to the server
    * Allowing large reads (max 64k)
    * Caching directory contents

%prep
%setup -q -n %{fname}-%{version}

%build
export LC_ALL=en_US.UTF-8
%meson
%meson_build

%install
%meson_install

%files
%doc AUTHORS README.rst ChangeLog.rst
%license COPYING
%{_bindir}/sshfs
%{_sbindir}/mount.fuse.sshfs
%{_sbindir}/mount.sshfs
%{_mandir}/man1/sshfs.1*


%changelog
* Sat Jun 11 2022 kekepower <kekepower> 0:3.7.3-1.mga9
+ Revision: 1863956
- Update to version 3.7.3

* Tue Mar 29 2022 umeabot <umeabot> 0:3.7.1-2.mga9
+ Revision: 1833519
- Mageia 9 Mass Rebuild

* Mon Nov 09 2020 kekepower <kekepower> 0:3.7.1-1.mga8
+ Revision: 1644096
- Update to version 3.7.1

* Tue Feb 18 2020 umeabot <umeabot> 0:3.7.0-2.mga8
+ Revision: 1541963
- Mageia 8 Mass Rebuild

* Fri Jan 03 2020 daviddavid <daviddavid> 0:3.7.0-1.mga8
+ Revision: 1475766
- new version: 3.7.0

* Sun Nov 03 2019 daviddavid <daviddavid> 0:3.6.0-1.mga8
+ Revision: 1457396
- new version: 3.6.0

* Thu Apr 18 2019 umeabot <umeabot> 0:3.5.2-2.mga7
+ Revision: 1392929
- Rebuild with meson 0.50.1

* Sat Apr 13 2019 kekepower <kekepower> 0:3.5.2-1.mga7
+ Revision: 1389748
- Update to version 3.5.2

* Tue Jan 15 2019 kekepower <kekepower> 0:3.5.1-3.mga7
+ Revision: 1357278
- Provides sshfs

* Tue Jan 01 2019 wally <wally> 0:3.5.1-2.mga7
+ Revision: 1347981
- update BRs after python-docutils defaulted to python3

* Sat Dec 22 2018 daviddavid <daviddavid> 0:3.5.1-1.mga7
+ Revision: 1344515
- new version: 3.5.1

* Tue Dec 04 2018 wally <wally> 0:3.5.0-3.mga7
+ Revision: 1338321
- require fuse3 (revert r1337588)
- update license

* Sun Dec 02 2018 shlomif <shlomif> 0:3.5.0-2.mga7
+ Revision: 1337588
- fix requires

* Tue Aug 28 2018 daviddavid <daviddavid> 0:3.5.0-1.mga7
+ Revision: 1255359
- new version: 3.5.0
- switch to fuse3
- switch to meson build system

* Sat Aug 12 2017 daviddavid <daviddavid> 0:2.10-1.mga7
+ Revision: 1139894
- new version: 2.10

* Fri Feb 05 2016 umeabot <umeabot> 0:2.5-4.mga6
+ Revision: 939319
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0:2.5-3.mga5
+ Revision: 748366
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:2.5-2.mga5
+ Revision: 689320
- Mageia 5 Mass Rebuild

* Sun Aug 24 2014 blino <blino> 0:2.5-1.mga5
+ Revision: 666970
- 2.5

* Sat Oct 19 2013 umeabot <umeabot> 0:2.4-2.mga4
+ Revision: 523896
- Mageia 4 Mass Rebuild

* Sun May 26 2013 blino <blino> 0:2.4-1.mga4
+ Revision: 427734
- 2.4

* Mon Jan 14 2013 umeabot <umeabot> 0:2.3-2.mga4
+ Revision: 382622
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 blino <blino> 0:2.3-1.mga2
+ Revision: 220634
- 2.3

* Wed Feb 16 2011 blino <blino> 0:2.2-2.mga1
+ Revision: 52125
- imported package sshfs-fuse

